---
layout: docs
page_title: 'Commands: acl auth-method update'
description: The auth-method update command is used to update existing ACL Auth Methods.
---

# Command: acl auth-method update

The `acl auth-method update` command is used to update existing ACL Auth Methods.

## Usage

```plaintext
nomad acl auth-method update [options] <auth-method_name>
```

The `acl auth-method update` command requires an existing method's name.

## General Options

@include 'general_options_no_namespace.mdx'

## Update Options

- `-name`: Sets the human-readable name for the ACL Role. It is required and
  can contain alphanumeric characters, dashes, and underscores. This name must
  be unique and must not exceed 128 characters.

- `-description`: A free form text description of the role that must not exceed
  256 characters.

- `-policy`: Specifies a policy to associate with the role identified by their
  name. This flag can be specified multiple times and must be specified at
  least once.

- `-no-merge`: Do not merge the current role information with what is provided
  to the command. Instead, overwrite all fields with the exception of the role
  ID which is immutable.

- `-type`: Updates the type of the auth method. Supported types are `OIDC` and `JWT`.

- `-max-token-ttl`: Updates the duration of time all tokens created by this auth
  method should be valid for.

- `-token-locality`: Updates the kind of token that this auth method should
  produce. This can be either `local` or `global`.

- `-default`: Specifies whether this auth method should be treated as a default
  one in case no auth method is explicitly specified for a login command.

- `-config`: Auth method [configuration] in JSON format. May be prefixed with '@'
  to indicate that the value is a file path to load the config from. '-' may also
  be given to indicate that the config is available on stdin.

- `-json`: Output the ACL auth method in a JSON format.

- `-t`: Format and display the ACL auth method using a Go template.

## Examples

Update an existing ACL auth method:

```shell-session
$ nomad acl auth-method update -token-locality "global" -config @config.json example-acl-auth-method
Name           = example-acl-auth-method
Type           = OIDC
Locality       = global
Max Token TTL  = 1h0m0s
Default        = false
Create Index   = 14
Modify Index   = 33

Auth Method Config

OIDC Discovery URL     = https://my-corp-app-name.auth0.com/
OIDC Client ID         = V1RPi2MYptMV1RPi2MYptMV1RPi2MYpt
OIDC Client Secret     = example-client-secret
Bound audiences        = V1RPi2MYptMV1RPi2MYptMV1RPi2MYpt
Allowed redirects URIs = http://localhost:4646/oidc/callback
Discovery CA pem       = <none>
Signing algorithms     = <none>
Claim mappings         = {http://example.com/first_name: first_name}; {http://example.com/last_name: last_name}
List claim mappings    = {http://nomad.com/groups: groups}
```
